account and container can't disable logging

Bug #1280954 reported by John Dickinson on 2014-02-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Object Storage (swift)
Wishlist
Unassigned

Bug Description

The object server supports a "log_requests" config setting to enable or disable logging. The account and container servers do not support this config setting and will always log.

Either the account and container server need to add the setting, or the object server needs to drop it.

Gil Vernik (gilv) on 2014-02-18
Changed in swift:
assignee: nobody → Gil Vernik (gilv)
Gil Vernik (gilv) on 2014-02-18
Changed in swift:
assignee: Gil Vernik (gilv) → nobody

Reviewed: https://review.openstack.org/74128
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=b24a7dd4cbac8bd019af4e73def1712ba654ad63
Submitter: Jenkins
Branch: master

commit b24a7dd4cbac8bd019af4e73def1712ba654ad63
Author: Christian Schwede <email address hidden>
Date: Mon Feb 17 10:31:20 2014 +0000

    Allow log disable in account/container server

    Logging can be disabled in the object server, but not in the
    account and container server though both sample configs already
    include that setting. This patch allows to disable logging for
    account and container server as well.

    Functionality is ensured by some additional tests.

    Closes-Bug: 1280954
    Change-Id: Ia4e87911863089c3bea093d9f181ff29e9e963eb

Changed in swift:
status: New → Fix Committed
Thierry Carrez (ttx) on 2014-02-25
Changed in swift:
milestone: next-icehouse → 1.13.0
status: Fix Committed → Fix Released
Download full text (12.9 KiB)

Reviewed: https://review.openstack.org/77244
Committed: https://git.openstack.org/cgit/openstack/swift/commit/?id=2c22fb0a17e1192b95d0b823dfce144779579944
Submitter: Jenkins
Branch: feature/ec

commit dc5c5fb4011cc8dee9b149e668dc8534ac7f51e0
Author: Hou Ming Wang <email address hidden>
Date: Wed Feb 26 20:53:10 2014 +0800

    Remove blank space after print

    Check Swift code, remove blank space after print.

    Change-Id: Ia7838ac5f33f2b335d1cd664b017e87118262d29

commit b6eda4a40bd55771771ca8039e9c3ad39ff7de11
Author: John Dickinson <email address hidden>
Date: Sun Feb 23 15:24:47 2014 -0800

    AUTHORS and CHANGELOG update for 1.13 release

    Change-Id: I6195c70cbbd7c94682539962dd5410e3665f01ac

commit 3357a58ea2a8fc35e6672c52028e59fbafe7fcb7
Author: Matt Kassawara <email address hidden>
Date: Thu Feb 20 20:27:20 2014 -0700

    Alphabetized items under "Middleware" in source documentation

    I alphabetized the items under "Middleware" in the source documentation
    to make them easier to locate.

    Change-Id: I3a0108c89d16ef07b7623dda518b3096c2686002

commit beaa2b8744841acac5af1a2171a358f58d7288be
Author: John Dickinson <email address hidden>
Date: Sun Feb 23 10:22:34 2014 -0800

    tabs to spaces

    Change-Id: Ie3d3af87df8f72792abf345c0d4dcfe2be1f4141

commit f42cb54002eaaa1f82a7a489802afc85412e2ce1
Author: Samuel Merritt <email address hidden>
Date: Fri Feb 21 16:49:22 2014 -0800

    Refactor a quorum-size calculation

    No behavior change, just use the utility function instead of rolling
    our own.

    Change-Id: I152ccd8f22f424cd7547fa4d67df020f263096a9

commit 5dfa0bd3fba6fe414f7a6ed9d7d19f9dea25445e
Author: Matt Kassawara <email address hidden>
Date: Fri Feb 21 10:59:29 2014 -0700

    Alphabetized items under other sections in source documentation

    I alphabetized the items under "Proxy", "Account", "Container",
    and "Object" in the source documentation to make them easier to
    locate.

    Change-Id: Ia9cca0ee558cb1e0361c1a88103352bd006da1e3

commit 38e015e871add82889d1e7999b35b795f4a7d1f5
Author: Samuel Merritt <email address hidden>
Date: Thu Feb 20 23:01:00 2014 -0800

    Functional tests for DLO If-Match/If-None-Match

    Change-Id: I4a731a3836eb0f58b897ee43477b3b76d2344a81

commit 46250171ef285b0d297b05f413f1a27ff1dbdb65
Author: Samuel Merritt <email address hidden>
Date: Thu Feb 20 22:01:39 2014 -0800

    Functional tests for SLO If-Match/If-None-Match

    Change-Id: Ib70f579f5edebc7b1586e5f51fee5769bcaa9931

commit 25ebf3aa9e6e98974565ae1b70fc05b49423e17c
Author: Samuel Merritt <email address hidden>
Date: Thu Feb 20 20:33:00 2014 -0800

    Raise error on long or short DLO

    The GET response for a DLO has a Content-Length that's computed from
    the container listing, but the response body's length is determined by
    the segments. If a segment grows or shrinks between when the headers
    are sent and when the segment is requested, this confuses clients.

    For example, if the DLO is longer than its Content-Length and the
    client sends another request on the same TCP connection, then it can
    get leftover object bytes instea...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers